Bug 483870 - firefox crashed during drag the below bar in source page view of http://www.msn.co.jp/home.armx
firefox crashed during drag the below bar in source page view of http://www.m...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: seamonkey (Show other bugs)
3.9
ppc Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 21:17 EST by Golita Yue
Modified: 2010-08-27 05:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-27 05:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Golita Yue 2009-02-03 21:17:12 EST
Description of problem:
In source page view of http://www.msn.co.jp/home.armx, Don't wrap long lines. Quick drag the below bar to and fro. the seamonkey crashed 

Version-Release number of selected component (if applicable):
seamonkey-1.0.9-0.32.el3 - ppc

How reproducible:
every time

Steps to Reproduce: (connect to the remote machine via VNC )
1. launch mozilla in terminal (in remote machine)
2. open http://www.msn.co.jp/home.armx via seamonkey
3. select View -> Page Source
4. don't wrap long lines
5. quick drag the below bar to and fro
  
Actual results:
the seamonkey crashed

Expected results:
the seamonkey don't crash. you can quick drag the below bar to view the page source.

Additional info:
the following error information be created after the seamonkey has been crashed

The program 'Gecko' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 929624 error_code 2 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Comment 1 Golita Yue 2009-02-04 00:56:07 EST
the crash exist on r3 i386 seamonkey-1.0.9-0.32.el3 
the crash can be reproduced on r3 x86_64 seamonkey-1.0.9-0.32.el3. 1/5 times
Comment 2 Matěj Cepl 2009-02-08 10:42:34 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please also install debuginfo packages for seamonkey (e.g., from
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/3/en/os/$arch/Debuginfo/ -- $arch should be according to the architecture of your computer; most likely i386). That means debuginfo packages for

 gcc-debuginfo
 gnome-vfs2-debuginfo
 libXft-debuginfo
 libXinerama-debuginfo
 libXrender-debuginfo
 libXt-debuginfo
 libart_lgpl-debuginfo
 libbonoboui-debuginfo
 libgnomecanvas-debuginfo
 libgnomeui-debuginfo
 libjpeg-debuginfo
 libpng-debuginfo
 nspr-debuginfo
 nss-debuginfo
 seamonkey-debuginfo
 zlib-debuginfo

Then run

ulimit -c unlimited

and run seamonkey and make it to crash. After it does run in the command line

gdb seamonkey core.*

and when you get the command prompt run


	(gdb) thread apply all backtrace

This produces usually many screens of the text. Copy all of them into a text editor and attach the file to the bug as an uncompressed attachment.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Matěj Cepl 2010-05-11 13:54:40 EDT
Reporter, could you please reply to the previous question? Thank you.
Comment 4 Martin Stransky 2010-08-27 05:55:04 EDT
Closing...

Note You need to log in before you can comment on or make changes to this bug.